std::basic_string::get_allocator(3)

NAME
std::basic_string::get_allocator - std::basic_string::get_allocator

Synopsis
   allocator_type get_allocator() const; (until C++20)
   constexpr allocator_type get_allocator() const noexcept; (since C++20)
   Returns the allocator associated with the string.

Parameters
   (none)

Return value
   The associated allocator.

Complexity
   Constant.

See also
   allocator the default allocator
                    (class template)
   allocator_traits provides information about allocator types
   (C++11) (class template)
   uses_allocator checks if the specified type supports uses-allocator construction
   (C++11) (class template)